package com.caimei.wxController;

import com.caimei.model.ResponseJson;
import com.caimei.service.SDKService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@Api(tags = "微信SDKAPI")
@Slf4j
@RestController
@RequiredArgsConstructor
@RequestMapping("/wxsdk")
public class SDKAPI {
    private final SDKService sdkService;


    @ApiOperation("获取公众号数据")
    @GetMapping("/config/data")
    public ResponseJson<Map<String, String>> getConfigData(String appId, String appSecret, String url) {
        return sdkService.getConfigData(appId, appSecret, url);
    }


}
